@import url('https://fonts.googleapis.com/css?family=Open+Sans');
.scleg_player {
	background-color: #ffffff;
	font-family: 'Open Sans', Arial, sans-serif;
}


.scleg_player * {
	box-sizing: border-box;
}

.scleg_player button:not(.scleg_imgButton) {
    background-color: rgba(84, 13, 110, 0.85); /* Primary button color */
    color: #ffffff; /* Text color #ffd23f;*/
    border: 2px solid #ffd23f; /* Border color */
    padding: 10px 20px;
    font-size: 16px;
    font-family: 'Open Sans', Arial, sans-serif;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

.scleg_player button, .scleg_player input, .scleg_player select, .scleg_player textarea {
	font-family: 'Open Sans', Arial, sans-serif;
	font-size: 16px;
}

.scleg_player button:disabled {
    background-color: lightgray; /* Disabled background color */
    color: #777; /* Disabled text color */
    border: 2px solid #777; /* Disabled border color */
    cursor: not-allowed; /* Change cursor to indicate disabled state */
    opacity: 0.6; /* Make disabled button look dull */
}

.scleg_player button:hover:not(.scleg_imgButton) {
    background-color: #ffd23f; /* Hover background color */
    color: rgba(84, 13, 110, 0.85); /* Hover text color */
    border-color: rgba(84, 13, 110, 0.85); /* Hover border color */
}

.scleg_col {
	margin: auto;
	display: inline-block;
	vertical-align: top;
	border: 0 solid #000;
}

.scleg_col p {
	text-align: left;
	width: 100%;
	padding-left: 5px;
}

.scleg_col-100 {
	width: 98%;
}

.scleg_col-75 {
	width: 74%;
}

.scleg_col-66 {
	width: 66%;
}

.scleg_col-50 {
	width: 49%;
}

.scleg_col-33 {
	width: 33%;
}

.scleg_col-25 {
	width: 24%;
}

.scleg_col-20 {
	width: 19%;
}

.scleg_col-10 {
	width: 9.5%;
}
.scleg_tabContent {
	text-align: center;
}
.scleg_varSelContainer {
	display: inline-block;
	margin: 10px;
	margin-left: 5px;
	margin-right: 5px;
	border: 1px solid gray;
	padding-left: 4px;
	padding-right: 0px;
	background-color: lightgray;
}
.scleg_varSelContainer label {
	text-align: right;
	margin-right: 8px;
}
.scleg_varSelContainer input, .varSelContainer select {
	border: 0;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
	padding-left: 5px;
}
.scleg_ctrlButton {
	vertical-align: middle;
	min-width: initial;
	color: black;
	font-weight: bold;
	background-color: #dddddd;
	border: 2px solid #cccccc;
	border-radius: 8px;

}
.scleg_ctrlButton:hover {
	background-color: #cccccc;
}
.scleg_ctrlButton:disabled {
	color: gray;
	font-weight: normal;
}
.scleg_ctrlButton:disabled:hover {
	background-color: #dddddd;	
}
.scleg_ctrlButton img {
	width: 32px;
	height:32px;
	vertical-align: middle;
}
.scleg_ctrlButton:focus {
	outline-width: 0;
}
.scleg_readyButton {
	background-color: lightgreen;
	font-weight: bold;
}
.scleg_imgButton {
	border: none;
	background-color: transparent;
}
.scleg_usedImageContainer
{
	display: inline-block;
	text-align: center;
	position: relative;
	width: 33%;
  min-height: 100px;
  line-height: 100px;
}
.scleg_usedImageContainer .scleg_varName
{
	display: none;
	background-color: white;
	font-size: 0.9em;
	position: absolute;
	padding: 3px;
	border: 3px solid rgba(84, 13, 110, 0.85);
	border-radius: 3px;
	line-height: 1;
}
.scleg_usedImageContainerPos {
	display: inline-block;
	height: 100px;
	vertical-align: middle;
	left: 0;
	right: 0;
  padding-top: 50%;
}
.scleg_usedImageContainer img {
	max-width: 90%;
  vertical-align: middle;
  max-height: 200%;
}
.scleg_usedImageContainer:hover .scleg_varName
{
  display: block;
  top: 0;
  z-index: 2;
}
.scleg_usedImageContainer, .scl_image_container_clicker {
	cursor: pointer;
}
.scleg_usedImageSelected {
	background-color: rgba(84, 13, 110, 0.85);
  border-radius: 12px;
}
.scleg_scl_image_container {
	text-align: center;
	display: inline-block;
	vertical-align: top;
	background-color: rgba(84, 13, 110, 0.10);
	margin: 5px;
	padding: 7px;
	position: relative;
	line-height: 175px;
	border: 1px solid #aaa;
	/* height: 140px; */
	width: 140px;
	min-width: 140px;
  line-height: 100px;
  border-radius: 12px;
}

.scleg_scl_image_container_label {
	margin-bottom: 0;
	line-height: 1;
	height: 22px;
}

.scleg_scl_image {
	margin: 0px;
	max-height: 100px;
	max-width: 100px;
	vertical-align: middle;

}
.scleg_scl_image_container_clicker img.editImage {
	float: right;
	height: 18px;
	vertical-align:middle;
}
.scleg_scl_image_container_clicker img.editImage:hover {
	cursor: pointer;
}

.scleg_screenModal
{
	display: none;
	position: fixed;
	overflow-y: scroll;
	z-index:13;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: #ffffff;
	text-shadow: none!important;
	font-family: 'Open Sans', Arial, sans-serif;
}

.scleg_screenModalBox h2 {
	text-align: center;
}

.scleg_screenModalBox
{
	background-color: white;
	padding: 16px;
	border-radius: 20px;
	border: 6px solid #920000;
	margin: auto;
	margin-top: 50px;
	margin-bottom: 50px;
	width: 800px;
	/* min-width: 320px; */
	max-width: 96%;

}

.scleg_screenModalCloseBox
{
	cursor: pointer;
	position: relative;
	float: right;
	top: -38px;
	right: -38px;
	background-color: #ffffff;
	width: 40px;
	height: 40px;
	border-radius: 6px;
	line-height: 36px;
	font-size: 40px;
	text-align: center;
	border: 2px solid #920000;
}
.scleg_screenModalCloseBox:hover
{
	background-color: #920000;
	color: white;
}

.scleg_screenModalBox p, .scleg_screenModalBox h2
{
	width: 100%;
	padding-top: 0;
	padding-left: 0;
	padding-right: 0;
	margin-left: 0;
	margin-right: 0;
}
.scleg_screenModalBox .scleg_content
{
	width: 100%;
}

#scleg_mainVideo {
	max-width: 100%;
}
.scleg_text-align-center {
	text-align: center;
}
.scleg_text-align-left {
	text-align: left;
}
.scleg_text-align-right {
	text-align: right;
}
#scleg_projectBar {
	margin: auto;
	text-align: right;
	width: calc(100% - 64px);
}
#scleg_projectBar img {
	height: 32px;
	width: auto;
	margin-left: 10px;
	margin-right: 10px;
	position: relative;
	top: 20px;
}
#scleg_projectBar img:hover {
	transform: scale(1.2);
	cursor: pointer;
}
#scleg_projectBar img.dirty {
	opacity: 1.00;
}
#scleg_projectBar img.notDirty {
	opacity: 0.33;
}

#scleg_uploadName {
	display: block;
	float: left;
	position: relative;
	top: 25px;
	left: 20px;
	font-weight: bold;
}
#scleg_sclEdit {
	margin-bottom: 12px;
	text-align: center;
}
#scleg_sclEdit textarea {
	text-align: left;
	padding: 10px;
	width: calc(96% - 32px);
	height: 200px;
	border: 1px solid black;
	font-family: monospace;
	border-top-left-radius: 32px;
	border-bottom-left-radius: 32px;
	padding-top: 20px;
	padding-bottom: 20px;
	padding-left: 20px;
	margin-left: 16px;
	margin-right: 16px;
}

#scleg_tabComposeContent {
	min-height: calc(100vh - 16px);
	padding-bottom: 32px;
}
#scleg_optsCanvRow {
	background-color: #eeeeee;
	border-radius: 32px;
	padding: 32px;
	width: calc(100% - 64px);
	margin: 32px;
	margin-bottom: 12px;
}
#scleg_optionsContainer {
	text-align: left;
}
#scleg_canvasButtonBar {
	position: static;
	text-align: center;
}
#scleg_canvasUnderMessage {
	margin-top: 10px;
	margin-left: 10px;
	padding-left: 10px;
}
#scleg_canvasUnderMessage div {
	display: none;
}
#scleg_canvasUnderMessage button {
	margin-right: 5px;
	margin-bottom: 8px;
}
#scleg_canvasUnderMessage button:hover {
	margin-right: 5px;
	cursor: pointer;
}
#scleg_canvasUnderMessage button:hover:disabled {
	cursor: default;
}
#scleg_imageContainerContainer {
	position: static;
	height: 100%;
	width: calc(100% - 64px);
	margin: 32px;
	margin-top: 0;
	justify-content: space-between;
}
#scleg_imageContainerContainer .scleg_col {
	background-color: #eeeeee;
	border-radius: 32px;
	padding-bottom: 16px;
}
#scleg_imageContainerContainer .scleg_col-66 {
	width: 65%;
}
#scleg_imageContainerContainer .scleg_col:nth-child(1) {
	margin-right: 12px;
}
#scleg_imageContainerDropMessage {
	background-color: rgba(84, 13, 110, 0.85);
	border: 2px dashed #ffd23f;
	padding: 10px;
	cursor: pointer;
	width: 90%;
	text-align: center;
	margin: auto;
}
#scleg_imageContainerDropMessage h1 {
	text-align: center;
	color: #fff;
	pointer-events: none;
	font-size: 24px;
	margin-top: 10px;
	pointer-events: none;
}

#scleg_imageContainerDropIndicator {
	display: none;
	width: calc(100% - 60px);
	height: 100%;
	z-index: 2;
	background-color: rgba(84, 13, 110, 0.85);
	margin: auto;
	padding: 20px;
	pointer-events: none;
}
#scleg_imageContainerDropIndicator div {
	position: relative;
	border-radius: 16px;
	border: 2px dashed #fff;
	width: 100%;
	height: 100%;
	pointer-events: none;
}
#scleg_imageContainerDropIndicator div h1 {
	text-align: center;
	color: #fff;
	pointer-events: none;
	font-size: 48px;
	margin-top: 60px;
	pointer-events: none;
	border: none;
}

#scleg_imageContainerDropIndicator div h2 {
	text-align: center;
	color: #fff;
	pointer-events: none;
	font-size: 24px;
	margin-top: 20px;
	pointer-events: none;
	border: none;
}
#scleg_imageIconList {
	width: 95%;
	margin: auto;
}
#scleg_videoModal p {
	text-align: left;
}
#scleg_videoModal ul li {
	text-align: left;
}
#scleg_canvasContainer {
	text-align: center;
}
#scleg_sclCanvas {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	touch-callout: none;
	user-select: none;
	max-width: 100%;
	margin: auto;
}


#scleg_btnCancelGenProgress {
	margin-bottom: 25px;
}
#gif-popup-close {
	margin-top: 25px;
}

#scleg_deleteImageMode {
}
#scleg_selectUnusedImages,#scleg_cancelDeleteImage,#scleg_deleteImages,#btnDeselectImages {
	display: none;
}
.scleg_image_del {
	display: none;
	float: right;
}

/* GIF popup for after making it */
.gif-popup-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(255, 255, 255, 1);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

/* Content container */
.gif-popup-content {
  text-align: center;
  color: black;
}

/* Instructional text */
.gif-popup-instructions {
  margin-bottom: 20px;
  font-size: 1.2em;
}

/* GIF styling */
#popup-gif {
  display: block;
  margin: 0 auto;
  max-width: none; /* Show actual size */
}

/* Close button
.gif-popup-close {
  margin-top: 20px;
  padding: 10px 20px;
  font-size: 1em;
  background: #ffffff;
  color: #000;
  border: none;
  cursor: pointer;
}
 */

@media only screen and (max-width : 800px)
{
	#scleg_optsCanvRow>.scleg_col-50 {
		width: 100%;
	}
}
@media only screen and (max-width : 680px)
{
	#scleg_imageContainerDropMessage h1 span {
		white-space: normal;
	}
	#scleg_optsCanvRow {
		margin: 4px;
		margin-top: 16px;
		margin-bottom: 16px;
		padding: 16px;
		width: calc(100% - 32px);
	}
	#scleg_imageContainerContainer {
		width: calc(100% - 32px);
		margin: 16px;
		margin-top: 0;
	}
	#scleg_imageContainerContainer>.scleg_col-33 {
		width: 100%;
		margin-right: 0;
	}
	#scleg_imageContainerContainer>.scleg_col-66 {
		margin-top: 16px;
		width: 100%;
	}
	.scleg_scl_image_container {
		width: unset;
		min-width: unset;
	}
}


